package contract_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type ContractrelationAddRequest struct {
	// <ext>core:true;format:string;deprecated:false</ext> 【电子签约文件id】电子签约文件id 【作用】 查询需要添加关联文件的电子签约文件
	ContractId *int64 `json:"contractId"`
	// <ext>core:true;format:string;deprecated:false</ext> 【需关联的文件id】需关联的文件id 【作用】 查询需要添加的关联电子签约文件集合 【传参】 数组形式，支持传入多个
	RelatedIds []int64 `json:"relatedIds"`
}

func (obj ContractrelationAddRequest) GetUrl() string {
	return "/contractrelation/add"
}

func (obj ContractrelationAddRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
